%define name libgksu
%define version 2.0.12
%define release %mkrel 1

%define fakename gksu2.0

%define major 0
%define libname %mklibname %{fakename}_ %major
%define libnamedev %mklibname %{fakename}_ %major -d

Name: %{name}
Summary: GKSu libraries
Version: %{version}
Release: %{release}
Source: http://people.debian.org/~kov/gksu/%{name}-%{version}.tar.gz
Patch0:	libgksu-2.0.12-fix-str-fmt.patch
Patch1:	libgksu-2.0.9-fix_lib64_detection.patch
Patch2: libgksu-2.0.12-fix-build.patch
Url: http://www.nongnu.org/gksu/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
License: LGPLv2+
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: libgtop2.0-devel
BuildRequires: startup-notification-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libGConf2-devel
BuildRequires: gtk+2-devel
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: dbus-glib-devel
BuildRequires: intltool
Provides: libgksu
Provides: libgksu2
Obsoletes: libgksu1.2

%description
GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package -n %libname
Summary: GKSu libraries
Group: System/Libraries

%description -n %libname
GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su 
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package -n %libnamedev
Summary: Development package for %{name}
Group: Development/Other
Requires: %libname = %version
Provides: libgksu2.0-devel = %version-%release
Provides: libgksu2-devel = %version-%release
Provides: libgksu-devel
Obsoletes: libgksu1.2-devel

%description -n %libnamedev
Development package for %{name}

GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su 
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package -n gksu-utils
Summary: Utilities package for %{name}
Group: System/Base
Requires: %libname = %version

%description -n gksu-utils
Utilities package for %{name}

GKSu is a library that provides a Gtk+ frontend to su and sudo. It
supports login shells and preserving environment when acting as a su
 frontend. It is useful to menu items or other graphical programs
that need to ask a user's password to run another program as another user.

%prep
%setup -q 
%patch0 -p0 -b .str
%patch1 -p0
%patch2 -p0
touch README NEWS

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="Settings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf %{buildroot}

%files -n %libname -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%_libdir/%name

%files -n %libnamedev
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS
%{_libdir}/lib*.a
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%_libdir/pkgconfig/*
%_datadir/gtk-doc/html/%name

%files -n gksu-utils
%{_sysconfdir}/gconf/schemas/gksu.schemas
%{_bindir}/gksu-properties
%{_datadir}/man/man1/gksu-properties.1*
%{_datadir}/applications/gksu-properties.desktop
%{_datadir}/libgksu/gksu-properties.ui
%{_datadir}/pixmaps/gksu.png





%changelog
* Wed Mar 30 2011 supp <supp> 2.0.12-1.mga1
+ Revision: 79070
- imported package libgksu

